%define upstream_name    WWW-Search
%define upstream_version 2.519

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Virtual base class for WWW searches
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector)
BuildRequires: perl(CGI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(ExtUtils::MM_Unix) >= 1.410.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.240.0
BuildRequires: perl(HTML::Parser) >= 2.230.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(IO::Capture::Stderr)
BuildRequires: perl(LWP::MemberMixin)
BuildRequires: perl(LWP::UserAgent) >= 2.0.0
BuildRequires: perl(Net::Domain)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(User)
BuildArch:  noarch

%description
This class is the parent for all access methods supported by the WWW::Search
library. This library implements a Perl API to web-based search engines.

See README for a list of search engines currently supported, and for a lot of
interesting high-level information about this distribution.

Search results can be limited, and there is a pause between each request to
avoid overloading either the client or the server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
for file in `find lib -type f` Changes README; do
    chmod 644 $file
done
perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|' lib/WWW/Search/*.pm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
export PATH=$PATH:%{buildroot}%{_bindir}
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/WWW
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.519.0-3.mga10
+ Revision: 2211818
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 2.519.0-2.mga9
+ Revision: 1830297
- Mageia 9 Mass Rebuild

* Sat Apr 04 2020 tv <tv> 2.519.0-1.mga8
+ Revision: 1564282
- update to 2.519

* Fri Feb 14 2020 umeabot <umeabot> 2.518.0-2.mga8
+ Revision: 1520547
- Mageia 8 Mass Rebuild

* Thu Nov 29 2018 tv <tv> 2.518.0-1.mga7
+ Revision: 1336686
- update to 2.518

* Thu Sep 20 2018 umeabot <umeabot> 2.517.0-4.mga7
+ Revision: 1287280
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.517.0-3.mga7
+ Revision: 1167385
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 2.517.0-2.mga7
+ Revision: 1160798
- add BR on perl(HTTP::Cookies)

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.517.0-1.mga7
+ Revision: 1157337
- new version 2.517

* Sun Jun 19 2016 pterjan <pterjan> 2.515.0-2.mga6
+ Revision: 1035841
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.515.0-1.mga6
+ Revision: 1002331
- update to 2.515

* Fri Feb 19 2016 umeabot <umeabot> 2.514.0-2.mga6
+ Revision: 968027
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2.514.0-1.mga6
+ Revision: 851171
- update to 2.514

* Wed Oct 15 2014 umeabot <umeabot> 2.513.0-4.mga5
+ Revision: 750655
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.513.0-3.mga5
+ Revision: 686862
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.513.0-2.mga4
+ Revision: 539426
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 2.513.0-1.mga4
+ Revision: 492146
- update to 2.513

* Thu Sep 26 2013 sander85 <sander85> 2.512.0-1.mga4
+ Revision: 487137
- update to 2.512

* Wed Jun 26 2013 jquelin <jquelin> 2.511.0-1.mga4
+ Revision: 447145
- update to 2.511

* Fri Jun 07 2013 jquelin <jquelin> 2.509.0-1.mga4
+ Revision: 440070
- update to 2.509

* Sun Jan 13 2013 umeabot <umeabot> 2.508.0-2.mga3
+ Revision: 374803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 2.508.0-1.mga1
+ Revision: 40064
- mageia rebuild
- imported package perl-WWW-Search


* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.508.0-1mdv2011.0
+ Revision: 551205
- update to 2.508

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 2.507-2mdv2010.0
+ Revision: 440750
- rebuild

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.507-1mdv2009.1
+ Revision: 309455
- update to new version 2.507

* Tue Jul 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.504-1mdv2009.0
+ Revision: 240017
- update to new version 2.504

* Thu Jul 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.503-1mdv2009.0
+ Revision: 236723
- update to new version 2.503

* Tue Jul 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.502-1mdv2009.0
+ Revision: 235797
- fix tests execution
- update to new version 2.502

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.501-1mdv2009.0
+ Revision: 194963
- update to new version 2.501

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.497-1mdv2008.1
+ Revision: 156182
- update to new version 2.497

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.496-1mdv2008.1
+ Revision: 109506
- update to new version 2.496

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.495-1mdv2008.0
+ Revision: 64001
- new version

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.494-1mdv2008.0
+ Revision: 48657
- new version

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.491-1mdv2008.0
+ Revision: 20721
- 2.491


* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.489-1mdv2007.0
- New version 2.489
- better summary and description

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.488-1mdk
- New release 2.488
- better sources URL
- better buildrequires syntax

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.487-2mdk
- fix buildrequires

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.487-1mdk
- New release 2.487

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.486-1mdk
- New release 2.486

* Mon Jan 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.485-1mdk
- New release 2.485
- drop patch0 (merged upstream)

* Tue Jan 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.484-2mdk
- fix files encoding and perms

* Tue Jan 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.484-1mdk
- New release 2.484
- rediff patch0

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.479-1mdk
- New release 2.479

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.476-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.476-1mdk
- initial Mandriva package

